optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.SignalFlowFeedback Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.SignalFlowFeedback:

## Public Member Functions
| __init__ (self, SignalFlowManager sfm)
| get_value (self, channel)
| get_value_id (self, channel)
| init (self)
| is_init_done (self)

## Public Attributes
| n_sensors
| sfm
Public Attributes inherited from optoKummenberg.registers.InputStage.FeedbackSystem
| n_sensors

## Protected Attributes
| _readonly

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.SignalFlowFeedback.__init__ | ( |  | self,
|  | SignalFlowManager | sfm )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## Member Function Documentation

## ◆ get_value()

optoKummenberg.registers.InputStage.SignalFlowFeedback.get_value | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ get_value_id()

optoKummenberg.registers.InputStage.SignalFlowFeedback.get_value_id | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ init()

optoKummenberg.registers.InputStage.SignalFlowFeedback.init | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ is_init_done()

optoKummenberg.registers.InputStage.SignalFlowFeedback.is_init_done | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.InputStage.SignalFlowFeedback._readonly
| protected

## ◆ n_sensors

optoKummenberg.registers.InputStage.SignalFlowFeedback.n_sensors

## ◆ sfm

optoKummenberg.registers.InputStage.SignalFlowFeedback.sfm

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py